gnome-shell r93 - trunk/tools/build
- From: otaylor svn gnome org
- To: svn-commits-list gnome org
- Subject: gnome-shell r93 - trunk/tools/build
- Date: Sat, 29 Nov 2008 21:44:17 +0000 (UTC)
Author: otaylor
Date: Sat Nov 29 21:44:17 2008
New Revision: 93
URL: http://svn.gnome.org/viewvc/gnome-shell?rev=93&view=rev
Log:
Bug 562629 â gnome-shell-build-setup.sh: more Ubuntu dependencies
Improve gnome-build-setup.sh by:
- Adding more required dependencies
- Fixing message when $reqs has multiple words
- Remove stray + from file
Patch from RainCT (Siegfried Gevatter).
Modified:
trunk/tools/build/gnome-shell-build-setup.sh
Modified: trunk/tools/build/gnome-shell-build-setup.sh
==============================================================================
--- trunk/tools/build/gnome-shell-build-setup.sh (original)
+++ trunk/tools/build/gnome-shell-build-setup.sh Sat Nov 29 21:44:17 2008
@@ -50,21 +50,19 @@
system=`lsb_release -is`
if test x$system = xUbuntu -o x$system = xDebian ; then
reqd=""
- for pkg in libgconf2-dev git-core gtk-doc-tools libgl1-mesa-dev \
- mesa-common-dev libffi-dev libgtk2.0-dev flex build-essential \
- curl xulrunner-1.9-dev; do
- if dpkg --status $pkg > /dev/null 2>&1; then : ; else
+ for pkg in build-essential automake gnome-common flex bison curl \
+ git-core subversion gtk-doc-tools mesa-common-dev xulrunner-1.9-dev \
+ libdbus-glib-1-dev libffi-dev libgconf2-dev libgtk2.0-dev libgl1-mesa-dev \
+ libgstreamer-plugins-base0.10-dev python2.5-dev; do
+ if ! dpkg --status $pkg > /dev/null 2>&1; then
reqd="$pkg $reqd"
fi
done
- if test ! x$reqd = x; then
- echo "Please run, as root, 'apt-get install $reqd' before building gnome-shell."
+ if test ! "x$reqd" = x; then
+ echo "Please run 'sudo apt-get install $reqd' before building gnome-shell."
echo
fi
fi
-+
- echo "Done."
-
echo "Done."
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]